com.holonplatform.vaadin.flow.components.builders

## Interface InputBuilder<T,E extends ValueHolder.ValueChangeEvent<T>,C extends Input<T>,I extends ValidatableInput<T>,B extends InputBuilder<T,E,C,I,B,V>,V extends BaseValidatableInputBuilder<T,I,V>>

- Type Parameters:
    `T` - Value type
    `E` - Value change event type
    `C` - Input type
    `I` - Validatable input type
    `B` - Concrete builder type
    `V` - Validatable input builder type
  All Superinterfaces:
    ComponentConfigurator<B>, HasElementConfigurator<B>, InputConfigurator<T,E,B>
  All Known Subinterfaces:
    BooleanInputBuilder, DateInputBuilder, DateTimeInputBuilder, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, HasValueInputBuilder<T,H,C>, InputAdapterBuilder<T,V,H,C,B>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastoreListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.ListSingleSelectInputBuilder<T,ITEM>, ListSingleSelectConfigurator.PropertyListSingleSelectInputBuilder<T>, LocalDateInputBuilder, LocalDateTimeInputBuilder, LocalTimeInputBuilder, NumberInputBuilder<T>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, PasswordInputBuilder, SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, StringAreaInputBuilder, StringInputBuilder

      public interface InputBuilder<T,E extends ValueHolder.ValueChangeEvent<T>,C extends Input<T>,I extends ValidatableInput<T>,B extends InputBuilder<T,E,C,I,B,V>,V extends BaseValidatableInputBuilder<T,I,V>>
      extends InputConfigurator<T,E,B>

  Builder to create `Input` instances.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `build()` Build and returns the `Input` instance.
    `V` | `validatable()` Build a `ValidatableInput` component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### build

          C build()

      Build and returns the `Input` instance.
      Returns:
        the `Input` instance

    - #### validatable

          V validatable()

      Build a `ValidatableInput` component.
      Returns:
        A `ValidatableInput` builder

Copyright © 2020 The Holon Platform. All rights reserved.